Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# LDOMBasicString Class Reference

`#include <LDOMBasicString.hxx>`

Inheritance diagram for LDOMBasicString:

[legend]

## Public Types
enum | StringType { LDOM_NULL = 0, LDOM_Integer, LDOM_AsciiFree, LDOM_AsciiDoc, LDOM_AsciiDocClear, LDOM_AsciiHashed }
## Public Member Functions
Standard_EXPORT | ~LDOMBasicString ()
StringType | Type () const
Standard_EXPORT Standard_Boolean | GetInteger (Standard_Integer &aResult) const
const char * | GetString () const
Standard_EXPORT Standard_Boolean | equals (const LDOMBasicString &anOther) const
Standard_EXPORT LDOMBasicString & | operator= (const LDOM_NullPtr *)
Standard_EXPORT LDOMBasicString & | operator= (const LDOMBasicString &anOther)
Standard_Boolean | operator== (const LDOM_NullPtr *) const
Standard_Boolean | operator!= (const LDOM_NullPtr *) const
Standard_Boolean | operator== (const LDOMBasicString &anOther) const
Standard_Boolean | operator!= (const LDOMBasicString &anOther) const
Standard_EXPORT | operator TCollection_AsciiString () const
Standard_EXPORT | operator TCollection_ExtendedString () const
| LDOMBasicString ()
Standard_EXPORT | LDOMBasicString (const LDOMBasicString &anOther)
| LDOMBasicString (const Standard_Integer aValue)
Standard_EXPORT | LDOMBasicString (const char *aValue)
Standard_EXPORT | LDOMBasicString (const char *aValue, const Handle(LDOM_MemManager)&aDoc)
Standard_EXPORT | LDOMBasicString (const char *aValue, const Standard_Integer aLen, const Handle(LDOM_MemManager)&aDoc)
## Protected Member Functions
void | SetDirect (const StringType aType, const char *aValue)
## Protected Attributes
StringType | myType
union {
int i
void * ptr
} | myVal
## Friends
char * | db_pretty_print (const LDOMBasicString *, int, char *)

## Member Enumeration Documentation

enum LDOMBasicString::StringType

  | Enumeration values:
  LDOM_NULL |
  LDOM_Integer |
  LDOM_AsciiFree |
  LDOM_AsciiDoc |
  LDOM_AsciiDocClear |
  LDOM_AsciiHashed |

## Constructor & Destructor Documentation

Standard_EXPORT LDOMBasicString::~LDOMBasicString | ( |  | ) |

LDOMBasicString::LDOMBasicString | ( |  | ) | `[inline]`

Standard_EXPORT LDOMBasicString::LDOMBasicString | ( | const LDOMBasicString & | anOther | ) |

LDOMBasicString::LDOMBasicString | ( | const Standard_Integer | aValue | ) | `[inline]`

Standard_EXPORT LDOMBasicString::LDOMBasicString | ( | const char * | aValue | ) |

Standard_EXPORT LDOMBasicString::LDOMBasicString | ( | const char * | aValue,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) |

Standard_EXPORT LDOMBasicString::LDOMBasicString | ( | const char * | aValue,
|  | const Standard_Integer | aLen,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean LDOMBasicString::equals | ( | const LDOMBasicString & | anOther | ) | const

Standard_EXPORT Standard_Boolean LDOMBasicString::GetInteger | ( | Standard_Integer & | aResult | ) | const

const char* LDOMBasicString::GetString | ( |  | ) | const`[inline]`

Standard_EXPORT LDOMBasicString::operator TCollection_AsciiString | ( |  | ) | const

Standard_EXPORT LDOMBasicString::operator TCollection_ExtendedString | ( |  | ) | const

Standard_Boolean LDOMBasicString::operator!= | ( | const LDOMBasicString & | anOther | ) | const`[inline]`

Standard_Boolean LDOMBasicString::operator!= | ( | const LDOM_NullPtr * |  | ) | const`[inline]`

Standard_EXPORT LDOMBasicString& LDOMBasicString::operator= | ( | const LDOMBasicString & | anOther | ) |

Standard_EXPORT LDOMBasicString& LDOMBasicString::operator= | ( | const LDOM_NullPtr * |  | ) |

| Reimplemented in LDOMString.

Standard_Boolean LDOMBasicString::operator== | ( | const LDOMBasicString & | anOther | ) | const`[inline]`

Standard_Boolean LDOMBasicString::operator== | ( | const LDOM_NullPtr * |  | ) | const`[inline]`

void LDOMBasicString::SetDirect | ( | const StringType | aType,
|  | const char * | aValue
| ) | `[inline, protected]`

StringType LDOMBasicString::Type | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

char* db_pretty_print | ( | const LDOMBasicString * | ,
|  | int | ,
|  | char * |
| ) | `[friend]`

## Field Documentation

int LDOMBasicString::i`[protected]`

StringType LDOMBasicString::myType`[protected]`

union { ... } LDOMBasicString::myVal`[protected]`

void* LDOMBasicString::ptr`[protected]`

The documentation for this class was generated from the following file:

- LDOMBasicString.hxx